using System.Collections;
using System.Collections.Generic;

namespace LabelerCore.Data
{
    public interface ISamplesStorage : IEnumerable
    {
        List<string> Classes { get; }
        int getClassCount(string vehicleClass);
        bool AddSample(Sample s);
        bool InsertSample(Sample s);
        bool RemoveSample(string id);
        bool Exists(Sample s);
        bool Exists(string id);
        Sample getSample(string id);
        int Count { get; }
    }
}
